Preface Introduction Topic index Glossary

# Module:Arrange

AfterStep module for arranging windows in a tiling or cascading order

- ### SYNOPSIS

Arrange [ standard options]

- ### CONFIGURATION OPTIONS :

- DESCRIPTION

Arrange was developed to replace Tile and Cascade which were present in AfterStep 1.8 and stopped working with the introduction of AfterStep 2.0. Like Tile and Cascade Arrange can be used to tile or cascade windows subject to certain constraints.

By default Arrange will cascade windows located on the current screen.

- OPTIONS

-a

  Causes all window styles to be affected, even ones with the WindowListSkip style.

-alldesks

  Causes windows on all desks to be effected.

-desk

  Causes all windows on the desk to be cascaded instead of the current screen only.

-H

  Causes windows to be tiled horizontaly. This will only have an effect if -tile is passed.

-incx arg

  Specifies a horizontal increment which is successively added to arranged windows. arg is a percentage of screen width, or pixel value if a p is suffixed. Default is 20p.

-incy arg

  Specifies a vertical increment which is successively added to arranged windows. arg is a percentage of screen height, or pixel value if a p is suffixed. Default is 20p.

-m

  Causes maximized windows to also be affected (implied by -all).

-mn arg

  Tiles up to arg windows in tile direction. If more windows exist, a new direction row or column is created (in effect, a matrix is created).

-noraise

  Inhibits window raising, leaving the depth ordering intact.

-nostretch

  Inhibits window expansion when using the -resize option. Win- dows will only shrink to fit the maximal width and height (if given).

-pattern arg

  Only arrange windows matching the supplied pattern.

-r

  Reverses the window sequence.

-resize

  Forces all windows to resize to the constrained width and height (if given).

-s

  Causes sticky windows to also be affected (implied by -all).

-t

  Causes transient windows to also be affected (implied by -all).

-tile

  Causes windows to be tiled not cascaded.

-u

  Causes untitled windows to also be affected (implied by -all).

- INVOCATION

Arrange can be invoked from the autoexec file or by binding the action "Module Arrange [args]" to a key-stroke in a feel file.

- CONFIGURATION OPTIONS

Command-line arguments passed to Arrange are described in the OPTIONS section.

Up to four numbers can be placed on the command line that are not switches. The first pair specify an x and y offset to start the first window (default is 0, 0). The second pair specify an absolute coordi- nate reference denoting the lower right bounding box for tiling. If any number is suffixed with the letter p, then it is taken to be a pixel value, otherwise it is interpreted as a screen percentage. Specifying zero for any parameter is equivalent to not specifying it.

This invocation will horizontally tile windows with a bounding box which starts at 10 by 10 percent into and down the screen and ends at 90 by 90 percent into and down the screen.

Arrange 10 10 90 90 -tile -H

It is probably not a good idea to delete windows while windows are being arranged.

Preface Introduction Topic index Glossary Back to Top

AfterStep version 2.2.9